---
layout: mockup
title: "Cellular"
theme: Adwaita/Adwaita.css
permalink: settings/network/cellular/
wallpaper: adwaita
category: "Network"
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/network/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton" href="{{ site.baseurl }}/settings/network/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<span class="title">{{ page.category }}</span>
		</div>
		<!-- Title -->
		<div class="title-group with-subtitle">
			<span class="title">{{ page.title }}</span><span class="subtitle" id="wifiStatus">Connected</span>
		</div>
		<div class="button-group float-right">
			{%- include components/switch.html checked = "checked" id = "cellularSwitch" -%}
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		<!-- Sidebar -->
		<ul id="settingsNetworkSidebar" class="sidebar">
		{%- for item in site.data.settings-alt-network -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li></a>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}{%- endfor -%}
		</ul>
		<!-- View -->
		<div class="view">
			<!-- Cellular Details -->
			<div class="row" id="cellularDetails">
				<ul class="listrow">
					<li>
						<label>Phone Number</label>
						<label class="float-right dim-label">+1 234 567 9800</label>
					</li>
					<li>
						<label>Carrier</label>
						<label class="float-right dim-label">Very Good Cellular</label>
					</li>
				</ul>
			</div>
			<!-- Cellular Data -->
			<div class="row" id="cellularData">
				<h4>Data</h4>
				<p>Turn off Mobile Data to restrict data usage to Wi-Fi, including email, web browsing, and notifications.</p>
				<ul class="listrow">
					<li>
						<label>Mobile Data</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "cellularDataSwitch" -%}
					</li>
					<li>
						<label>Data Roaming</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "cellularDataRoamingSwitch" -%}
					</li>
				</ul>
			</div>
			<!-- Cellular Network -->
			<div class="row" id="cellularNetwork">
				<h4>Network</h4>
				<ul class="listrow">
					<li onclick="$('#cellularNetworkSelectionDialog').show();">
						<label>Network Selection</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">Automatic</label>
					</li>
					<li onclick="$('#cellularWifiCallingDialog').show();">
						<label>Wi-Fi Calling</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">Off</label>
					</li>
				</ul>
			</div>
			<!-- Row -->
			<div id="cellularAdvanced" class="row">
				<h5>Advanced</h5>
				<ul class="listrow">
					<li>
						<label>Access Points</label>
						{%- include components/listrow-link-icon.html -%}
					</li>
					<li>
						<label>SIM Lock</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right dim-label">Off</label>
					</li>
					<li>
						<label>Modem Details</label>
						{%- include components/listrow-link-icon.html -%}
					</li>
				</ul>
			</div>
			{%- include components/empty-state.html
				id = "cellularDisabled"
				icon="status/network-cellular-signal-none" 
				title = "Cellular is turned off" 
				message= "Turn on to make and receive calls and use mobile broadband." 
			-%}
		</div>
	</div>
	<!-- Wi-Fi Calling Dialog -->
	<div class="gtkdialog" id="cellularNetworkSelectionDialog">
		<div class="gtkdialog-window mobile action-dialo">
			<div class="titlebar grouped">
				<div class="button-group float-left">
					<a class="button image-button secondaryButton" onclick="$('#cellularNetworkSelectionDialog').hide();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
				</div>
				<div class="title-group">
					<div class="title">Network Selection</div>
				</div>
				<div class="button-group float-right">
					{%- include components/close-button.html close = "gtkdialog" -%}
				</div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li>
							<label>Automatic</label>
							{%- include components/switch.html float = "right" checked = "checked" id = "cellularAutomaticNetworkSelectionSwitch" -%}
						</li>
					</ul>
				</div>
				<div class="row" id="cellularNetworkSelectionOptions">
					<h4>Available Networks</h4>
					<ul class="listrow">
						<li onclick="cellularNetworkOption4G()">
							{%- include components/listrow-selection.html float = "left" type = "radio" checked = "checked" id = "cellularNetworkOption1" name = "cellularNetworks" -%}
							<label>4G (recommended)</label>
						</li>
						<li onclick="cellularNetworkOption3G()">
							{%- include components/listrow-selection.html float = "left" type = "radio" id = "cellularNetworkOption2" name = "cellularNetworks" -%}
							<label>3G</label>
						</li>
						<li onclick="cellularNetworkOption2G()">
							{%- include components/listrow-selection.html float = "left" type = "radio" id = "cellularNetworkOption3" name = "cellularNetworks" -%}
							<label>2G</label>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Wi-Fi Calling Dialog -->
	<div class="gtkdialog" id="cellularWifiCallingDialog">
		<div class="gtkdialog-window mobile">
			<div class="titlebar grouped">
				<div class="button-group float-left">
					<a class="button image-button secondaryButton" onclick="$('#cellularWifiCallingDialog').hide();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
				</div>
				<div class="title-group">
					<div class="title">Wi-Fi Calling</div>
				</div>
				<div class="button-group float-right">
					{%- include components/close-button.html close = "gtkdialog" -%}
				</div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<p>Your service provider must support this feature in order for you to make and receive calls over Wi-Fi on this device. Be sure to review your service provider's policy on emergency calls to understand the availability of emergency calling over Wi-Fi.</p>
					<ul class="listrow">
						<li>
							<label>Wi-Fi Calling on this Device</label>
							{%- include components/switch.html float = "right" checked = "" id = "cellularAutomaticNetworkSelectionSwitch" -%}
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsNetworkSidebar a:nth-of-type(2) li').addClass("active");});

// hide empty state
$('#cellularDisabled').hide();
$('#cellularNetworkSelectionOptions').hide();

// cellular toggle
$('#cellularSwitch').change(function(){
	if($(this).is(":checked")) {
		$('#cellularData').show();
		$('#cellularNetwork').show();
		$('#cellularDisabled').hide();
		$('#cellularAdvanced').show();
		$('#statusCellularNetworkMobile').show();
		$('#statusCellularNetwork').show();
		$('#statusCellularMobile').show();
		$('#statusCellular').show();
	} else {
		$('#cellularData').hide();
		$('#cellularNetwork').hide();
		$('#cellularDisabled').show();
		$('#cellularAdvanced').hide();
		$('#statusCellularNetworkMobile').hide();
		$('#statusCellularNetwork').hide();
		$('#statusCellularMobile').hide();
		$('#statusCellular').hide();
	}
});

// cellular data toggle
$('#cellularDataSwitch').change(function(){
	if($(this).is(":checked")) {
		$('#statusCellularNetworkMobile').show();
		$('#statusCellularNetwork').show();
	} else {
		$('#statusCellularNetworkMobile').hide();
		$('#statusCellularNetwork').hide();
	}
});

// cellular network selection
$('#cellularAutomaticNetworkSelectionSwitch').change(function(){
	if($(this).is(":checked")) {
		$('#cellularNetworkSelectionOptions').hide();
	} else {
		$('#cellularNetworkSelectionOptions').show();
	}
});

function cellularNetworkOption4G(){
	$('#cellularNetworkOption1').prop('checked', true )
	;$('#statusCellularNetworkMobile').removeClass('hidden')
	;$('#statusCellularNetwork3GMobile').addClass('hidden')
	;$('#statusCellularNetwork2GMobile').addClass('hidden');
	;$('#statusCellularNetwork').removeClass('hidden')
	;$('#statusCellularNetwork3G').addClass('hidden')
	;$('#statusCellularNetwork2G').addClass('hidden');
}

function cellularNetworkOption3G(){
	$('#cellularNetworkOption2').prop('checked', true )
	;$('#statusCellularNetworkMobile').addClass('hidden')
	;$('#statusCellularNetwork3GMobile').removeClass('hidden')
	;$('#statusCellularNetwork2GMobile').addClass('hidden');
	;$('#statusCellularNetwork').addClass('hidden')
	;$('#statusCellularNetwork3G').removeClass('hidden')
	;$('#statusCellularNetwork2G').addClass('hidden');
}

function cellularNetworkOption2G(){
	$('#cellularNetworkOption3').prop('checked', true )
	;$('#statusCellularNetworkMobile').addClass('hidden')
	;$('#statusCellularNetwork3GMobile').addClass('hidden')
	;$('#statusCellularNetwork2GMobile').removeClass('hidden');
	;$('#statusCellularNetwork').addClass('hidden')
	;$('#statusCellularNetwork3G').addClass('hidden')
	;$('#statusCellularNetwork2G').removeClass('hidden');
}
</script>